Create Incentive

Creates an Incentive.

Incentives use the currency of the employment specified provided in the employment_id field.

Scopes

CategoryRead only ScopeWrite only Scope (read access implicit)
Manage expenses (employment_payments)-Manage incentives (incentive:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Incentive

integer
required

The amount (in the currency of the employment) to be given to the employee.

This field accepts fractional amounts as well. However to avoid precision issues
and errors that can arise from storing fractional amounts, the Remote API only
accepts currencies and their fractional amounts as integers. This means you
should append fractional amounts to the end of the amount you're passing in with
this field.

For example, if the incentive you're offering is EUR 500.25, you would specify 50025 as
the amount for this field.

string
enum
required

Whether the amount given accounts for taxes or not.

gross indicates that the amount given is the amount to be paid before taxes
are subtracted.

net indicates that the amount given is the amount which will be paid to the
employee after taxes. Remote will gross this up to ensure the taxes are
included and employee receives the amount requested without further reduction.

Allowed:
date
required

The date at which the incentive should take effect.

Note that the incentive is not paid out on the effective date, but during the
next payroll cycle. The effective date determines which payroll cycle the
incentive will be paid out in.

The effective date needs to be today or a future date.

Note for recurring incentives: since the months don't have the same amount of days,
if day of month of effective_date is one of [28, 29, 30, 31] it will be transformed to
the last day of each month, avoiding the possibility of skipping a month in the recurrence.

string | null
string
required
date | null
date | null
string
enum
required
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json